<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW Advanced JS #5 - Async / Await</title>

    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <h1 class="page-title">HW Advanced JS #5 - Я тя по айпи вычислю!</h1>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос:</span>Обьясните своими словами, как вы понимаете асинхронность в Javascript.            </p>
            <div class="answer-wrapper">
                <p class="answer">
                    Как по мне, асинхронность, как и другие вещи, в языке js извращены: если в других языках это расценивается как возможность без полной перезагрузки, то в js это возможность хоть как-то управлять порядком получения и обработки данных.
                    Например, в php, код читается сверху вниз. Есть по пути запрос, обработал запрос и потом пошел дальше. В нашем же случае, запрос отправится и пойдет исполнение всего кода, который находится вне запроса. И при помози таких вещей, как классы, settimeout, async/wait и получается это все сдерживать.
                </p>
            </div>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Задача 1:</span>Написать программу "Я тебя по апи вычислю"</p>
            <ul class="reqular">
              <li>
                Создать простую HTML страницу с кнопкой Вычислить по IP.
              </li>
              <li>
                По нажатию на кнопку - отправить AJAX запрос по адресу https://api.ipify.org/?format=json, получить оттуда IP адрес клиента.
              </li>
              <li>
                Узнав IP адрес, отправить запрос на сервис https://ip-api.com/ и получить информацию о физическом адресе.
              </li>
              <li>
                Под кнопкой вывести на страницу информацию, полученную из последнего запроса - континент, страна, регион, город, район города.
              </li>
            </ul> 
            <ul class="additional">
              <li>
                Все запросы на сервер необходимо выполнить с помощью async await.
              </li>
            </ul>

            <div class="result">
                <div id="root"></div>
            </div>
            <video src="https://coub.com/view/2ajeyq" loop autoplay width="300" heigth="200"></video>
        </div>
    </div>
    
    <!-- <script src="js/task1.js"></script> -->
    <script src="js/task1_functional.js"></script>
   
</body>
</html>